Bug 1323193 - FTBFS on secondary arches due liblfds
Summary: FTBFS on secondary arches due liblfds
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker F24BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-04-01 13:40 UTC by Dan Horák
Modified: 2016-04-18 17:26 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-18 17:26:46 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-04-01 13:40:54 UTC
389-ds-base fails to build on secondary arches since version 1.3.5 because liblfds is crippled to know only x86 and arm architectures in liblfds.h

The result can be seen eg. in http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2174346

...
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10  -c -fpic -Wno-unknown-pragmas -std=c99 -I"src" -I"inc"  -o obj/queue_query.o src/queue/queue_query.c
In file included from src/liblfds_internal.h:2:0,
                 from src/queue/queue_internal.h:2,
                 from src/queue/queue_new.c:1:
inc/liblfds.h:124:5: error: unknown type name 'atom_t'
     atom_t
     ^~~~~~
inc/liblfds.h:131:37: error: unknown type name 'size_t'
   void *abstraction_aligned_malloc( size_t size, size_t align_in_bytes );
                                     ^~~~~~
...



Version-Release number of selected component (if applicable):
389-ds-base-1.3.5.1-2.fc24

Comment 1 Fedora Blocker Bugs Application 2016-04-11 11:11:11 UTC
Proposed as a Freeze Exception for 24-beta by Fedora user pbrobinson using the blocker tracking app because:

 389-ds-base is a core dependency of FreeIPA which is part of the Server edition. 3.5.x is FTBFS on secondary architectures which is a regression over previous releases and blocks FreeIPA for all secondary architectures.

Comment 2 Rich Megginson 2016-04-11 17:18:14 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48789

Comment 3 Noriko Hosoi 2016-04-11 20:38:40 UTC
I found a regression in the 1.3.5 389-ds-base spec file.

I fixed it and rebuilt 389-ds-base-1.3.5.1-3.fc24 for i636, x86_64 and armv7hl.

Could you please try the latest spec file?  Or if you could tell me how to build it, e.g, on s390, I will do it myself.  Thank you.

Comment 4 Dan Horák 2016-04-11 20:52:08 UTC
Hi, any packager can submit scratch builds to secondary kojis with
${arch}-koji build --scratch f24 389-ds-base.src.rpm
where arch is arm (for aarch64), ppc (for ppc64 and ppc64le), s390 (s390 + s390x).

Comment 6 Peter Robinson 2016-04-11 21:17:27 UTC
(In reply to Noriko Hosoi from comment #3)
> I found a regression in the 1.3.5 389-ds-base spec file.

So the scratch builds completed. Please submit as a F-24 update. Thanks for the fix.

Comment 7 Noriko Hosoi 2016-04-11 21:18:47 UTC
Thank YOU for testing so quickly.  (my scratch build on s390 is still running... :)

Comment 8 Fedora Update System 2016-04-12 19:31:08 UTC
389-ds-base-1.3.5.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-11b8fcbecb

Comment 9 Fedora Update System 2016-04-13 21:24:11 UTC
389-ds-base-1.3.5.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-11b8fcbecb

Comment 10 Kamil Páral 2016-04-18 16:48:56 UTC
Discussed at today's blocker review meeting [1]. Voted as AcceptedFreezeException (Beta) - FreeIPA is a core part of the Server flavor, and this bug prevents its inclusion in secondary-arch images. issues that seriously affect the compose of secondary arch deliverables generally qualify for FE status.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-04-18

Comment 11 Fedora Update System 2016-04-18 17:26:43 UTC
389-ds-base-1.3.5.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.